org.eclipse.gef.dot.internal.ui.language.contentassist

## Class DotHtmlLabelProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
  - - org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
    - - org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotHtmlLabelProposalProvider
      - - org.eclipse.gef.dot.internal.ui.language.contentassist.DotHtmlLabelProposalProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory, org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider

    public class DotHtmlLabelProposalProvider
    extends AbstractDotHtmlLabelProposalProvider

See https://www.eclipse.org/Xtext/documentation/304_ide_concepts.html#content-assist on how to customize the content assistant.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

### Constructor Summary

Constructors
Constructor and Description
`DotHtmlLabelProposalProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `complete_HtmlTag(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeHtmlAttr_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeHtmlAttr_Value(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`protected boolean` `isValidProposal(String proposal, String prefix, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context)`

### Methods inherited from class org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotHtmlLabelProposalProvider

`complete_ASSIGN, complete_ATTR_VALUE, complete_HTML_COMMENT, complete_HtmlAttr, complete_HtmlContent, complete_HtmlLabel, complete_ID, complete_TAG_END_CLOSE, complete_TAG_END, complete_TAG_START_CLOSE, complete_TAG_START, complete_TEXT, complete_WS, completeHtmlContent_Tag, completeHtmlContent_Text, completeHtmlLabel_Parts, completeHtmlTag_Attributes, completeHtmlTag_Children, completeHtmlTag_CloseName, completeHtmlTag_Name, completeHtmlTag_SelfClosing`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`announceProcessing, completeAssignment, completeKeyword, completeRuleCall, createProposals, getCrossReferenceProposalCreator, getHover, getProposalFactory, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`createCompletionProposal, createCompletionProposal, createCompletionProposal, createCompletionProposal, createSelector, doCreateProposal, doCreateProposal, getConflictHelper, getDisplayString, getImage, getKeywordDisplayString, getLabelProvider, getPriorityHelper, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, setConflictHelper, setLabelProvider, setPriorityHelper, setValueConverter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotHtmlLabelProposalProvider

    public DotHtmlLabelProposalProvider()

### Method Detail

#### complete_HtmlTag

    public void complete_HtmlTag(org.eclipse.emf.ecore.EObject model,
                                 org.eclipse.xtext.RuleCall ruleCall,
                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

Overrides:
  `complete_HtmlTag` in class `AbstractDotHtmlLabelProposalProvider`

#### completeHtmlAttr_Name

    public void completeHtmlAttr_Name(org.eclipse.emf.ecore.EObject model,
                                      org.eclipse.xtext.Assignment assignment,
                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

Overrides:
  `completeHtmlAttr_Name` in class `AbstractDotHtmlLabelProposalProvider`

#### completeHtmlAttr_Value

    public void completeHtmlAttr_Value(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.Assignment assignment,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

Overrides:
  `completeHtmlAttr_Value` in class `AbstractDotHtmlLabelProposalProvider`

#### isValidProposal

    protected boolean isValidProposal(String proposal,
                                      String prefix,
                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context)

Overrides:
  `isValidProposal` in class `org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider`